Package it.ernytech.tdlib

## Class TdApi.StorageStatistics

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StorageStatistics

Enclosing class:
  TdApi

    public static class TdApi.StorageStatistics
    extends TdApi.Object

Contains the exact storage usage statistics split by chats and file type.

### Field Summary

Fields
`TdApi.StorageStatisticsByChat[]` `byChat` Statistics split by chats.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `count` Total number of files.
`long` `size` Total size of files.

### Constructor Summary

Constructors
`StorageStatistics()` Default constructor.
`StorageStatistics​(long size, int count, TdApi.StorageStatisticsByChat[] byChat)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### size

    public long size

Total size of files.

#### count

    public int count

Total number of files.

#### byChat

    public TdApi.StorageStatisticsByChat[] byChat

Statistics split by chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StorageStatistics

    public StorageStatistics()

Default constructor.

#### StorageStatistics

    public StorageStatistics​(long size,
                             int count,
                             TdApi.StorageStatisticsByChat[] byChat)

Constructor for initialization of all fields.

Parameters:
  `size` - Total size of files.
  `count` - Total number of files.
  `byChat` - Statistics split by chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR